#include "stdafx.h"
#include <stdio.h>
#include "Communicator.h"


#define	DESTINATION "603000000"
#define USER		"test"
#define PASSWORD	"test"


int main(int argc, char *argv[])
{
	CCommunicator	com;
	CSmsInfo		info;
	int				rc;

	rc = com.SendSMSViaSms(USER, PASSWORD, DESTINATION, "Testovaci SMS...", info);
	printf("rc=%i cena=%.2fKc kredit=%.2fKc id=%s chyba=%s\n", rc, info.price, info.credit, info.id, info.errMsg);

	if (rc == 0)
	{
		for (int i=0; i<5; i++)
		{
			Sleep(5*1000);
			rc = com.GetDelivery(USER, PASSWORD, info.id, info);
			printf("rc=%i status=%s timestamp=%s chyba=%s\n", rc, info.delivery_status, info.delivery_timestamp, info.errMsg);
		}
	}

	return rc;
}
