#ifndef COMMUNICATOR_H
#define COMMUNICATOR_H

#include <afxinet.h>
#include "SmsInfo.h"

class CCommunicator
{
public:

	CCommunicator();																				// konstruktor

	int		SendSMSViaSms   (CString usr, CString pwd,CString dst, CString msg, CSmsInfo &info);	// odeslani sms pres sms-sluzba.cz
	int		SendSMSViaDirect(CString dir,             CString dst, CString msg, CSmsInfo &info);	// odeslani sms pres directsms.sms-sluzba.cz

	int		GetDelivery     (CString usr, CString pwd, CString id,              CSmsInfo &info);	// zjisteni stavu doruceni SMS odeslane pres sms-sluzba.cz


private:																							// (funkce Cancel() a IsSending() mohou byt taky public)

	void	Cancel();																				// preruseni komunikace
	BOOL	IsSending();																			// priznak, ze se komunikuje

	int		http(char *server, char *object, char *header, char *postData, int postSize, char *strUsername, char *strPassword, char *buf);
	CString GetTextByTag(CString data, CString tagname);
	CString TimeToCas(CString t);
	CString CurrentDatetime();
	CString NormalizeText(CString msg);


private:
	HINTERNET	hOpenHandle,  hConnectHandle, hResourceHandle;
	BOOL		isSending;
	BOOL		isCanceled;
};


#endif