#ifndef SMSINFO_H
#define SMSINFO_H

#include <afxinet.h>

/** Informace o odeslani/doruceni SMS. */
class CSmsInfo
{
	public:

	CSmsInfo()						// konstruktor, jen smazani vsech promennych
	{
		id					= "";
		send_at				= "";
		recipient			= "";
		delivery_status		= "";
		delivery_timestamp	= "";
		parts				=  0;
		price				=  0;
		credit				=  0;
		errMsg				= "";
	}

	CString id;						// ID odeslan SMS. Toto ID je potreba pouzit pri zjistovani dorucenky
	CString send_at;				// datum/cas odeslani SMS
	CString	recipient;				// telefonni cislo prijemce SMS
	int		parts;					// pocet casti odeslane SMS
	double	price;					// cena za odeslani SMS
	double	credit;					// zbyvajici kredit

	CString	delivery_status;		// zjisteny stav doruceni SMS ("?"=nezjisteno, "-"=nelze zjistit,nema smysl, "1"=doruceno)
	CString	delivery_timestamp;		// cas doruceni SMS

	CString	errMsg;					// chybova hlaska (napr. chyba komunikace nebo nedostatecny kredit)
};


#endif